Summary: A set of GNU text file modifying utilities.
Name: textutils
Version: 2.0.8
Epoch: 1
Release: li18nux.1
Copyright: GPL
Group: Applications/Text
Source: ftp://alpha.gnu.org/gnu/fetish/textutils-%{version}.tar.bz2
Patch: textutils-2.0.8-li18nux.patch
Requires(post,preun): /sbin/install-info
BuildRequires: libtool
Buildroot: %{_tmppath}/%{name}-%{version}

%description
A set of GNU utilities for modifying the contents of files, including
programs for splitting, joining, comparing and modifying files.

%prep
%setup -q
%patch -p1 -b .li18nux

%build

unset LINGUAS || :
%define optflags -g
%configure
make

%install
rm -rf ${RPM_BUILD_ROOT}

%makeinstall

%ifos linux
    mkdir -p $RPM_BUILD_ROOT/bin
    for f in cat sort cut; do
	mv $RPM_BUILD_ROOT/usr/bin/$f $RPM_BUILD_ROOT/bin/$f
    done
    ln -sf ../../bin/cut $RPM_BUILD_ROOT/usr/bin
%endif

gzip -9nf $RPM_BUILD_ROOT/%{_infodir}/textutils*


%post
/sbin/install-info %{_infodir}/textutils.info.gz %{_infodir}/dir

%preun
if [ $1 = 0 ]; then
   /sbin/install-info --delete %{_infodir}/textutils.info.gz %{_infodir}/dir
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc NEWS README
%ifos linux
/bin/*
%endif
/usr/bin/*
%{_mandir}/*/*
%{_infodir}/textutils*
%lang(cs) /usr/share/locale/cs/*/*
%lang(da) /usr/share/locale/da/*/*
%lang(de) /usr/share/locale/de/*/*
%lang(el) /usr/share/locale/el/*/*
%lang(es) /usr/share/locale/es/*/*
%lang(fr) /usr/share/locale/fr/*/*
%lang(gl) /usr/share/locale/gl/*/*
%lang(ja) /usr/share/locale/ja/*/*
%lang(ko) /usr/share/locale/ko/*/*
%lang(nl) /usr/share/locale/nl/*/*
%lang(no) /usr/share/locale/no/*/*
%lang(pl) /usr/share/locale/pl/*/*
%lang(pt_BR) /usr/share/locale/pt_BR/*/*
%lang(ru) /usr/share/locale/ru/*/*
%lang(sk) /usr/share/locale/sk/*/*
%lang(sl) /usr/share/locale/sl/*/*
%lang(sv) /usr/share/locale/sv/*/*
%lang(zh) /usr/share/locale/zh/*/*

%changelog
* Tue Aug  7 2001 Adrian Havill <havill@redhat.com> 2.0.8-1
- Added LI18NUX 2000 level 1 conformance patch
